public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet_forge/
Date: Thu, 11 Jul 2019 05:24:45 +0000 (UTC)	[thread overview]
Message-ID: <1562822667.e80d782baf1cbe094e355403b3377666800cfc18.graaff@gentoo> (raw)

commit:     e80d782baf1cbe094e355403b3377666800cfc18
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 11 05:24:27 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jul 11 05:24:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e80d782b

dev-ruby/puppet_forge: add 2.3.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-ruby/puppet_forge/Manifest                  |  1 +
 dev-ruby/puppet_forge/puppet_forge-2.3.0.ebuild | 45 +++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/puppet_forge/Manifest b/dev-ruby/puppet_forge/Manifest
index 583e1a86edc..bf3e113a462 100644
--- a/dev-ruby/puppet_forge/Manifest
+++ b/dev-ruby/puppet_forge/Manifest
@@ -1 +1,2 @@
 DIST puppet_forge-2.2.9.gem 772608 BLAKE2B 15cad2cc183688262b96a35af46324a3264b8a615fa414bddb6b55587ac30f4fdcc64ddaa0f18b66571bde1a1eb17339bf1fad1630f3a06b6c1575cdbf1c9140 SHA512 753ad4b95db25c1ad284ceb802b03db9724f2a1c1f4522f252428f8ae7c6771361b6a38d070c2ce989bec9538471529cdd92c925501a0f8f4f1bb5e6d8ef3733
+DIST puppet_forge-2.3.0.gem 773632 BLAKE2B 6024eed4c7b62c19c04d4f45a03dd40fa14bf074a1c44c14c766527bc3f4937bd9ac553df14b432834fd3bafa8f680d8b677ccfe6b366b954336888cb9f25aff SHA512 7b14b006562874524c7a5045ae44fc7c3ac932aa32beb3751a6c18e3498401dc22294a81386d2ee25d5f8618efaa425b51798daec6f12193916c76dd28aafe85

diff --git a/dev-ruby/puppet_forge/puppet_forge-2.3.0.ebuild b/dev-ruby/puppet_forge/puppet_forge-2.3.0.ebuild
new file mode 100644
index 00000000000..b506f5ec6bf
--- /dev/null
+++ b/dev-ruby/puppet_forge/puppet_forge-2.3.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL=locales
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools to access Forge API information on Modules, Users, and Releases"
+HOMEPAGE="https://github.com/puppetlabs/forge-ruby"
+
+LICENSE="Apache-2.0"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/faraday-0.9.0:0
+	>=dev-ruby/faraday_middleware-0.9.0:0
+	>=dev-ruby/gettext-setup-0.11:0
+	dev-ruby/minitar
+	=dev-ruby/semantic_puppet-1*
+"
+
+all_ruby_prepare() {
+	# Avoid integration and user specs since they all require network access
+	rm -rf spec/integration spec/unit/forge/v3/user_spec.rb || die
+
+	# Fix overly restrictive dependencies
+	sed -i \
+		-e '/faraday/ s/0.14.0/0.99.0/' \
+		-e '/faraday_middleware/ s/0.13.0/0.99.0/' \
+		${RUBY_FAKEGEM_GEMSPEC} || die
+
+	sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2019-07-11  5:24 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-11  5:24 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:33 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/puppet_forge/ Arthur Zamarin
2024-08-22  5:30 Hans de Graaff
2024-08-22  5:30 Hans de Graaff
2024-06-01  6:55 Hans de Graaff
2024-04-06  6:14 Hans de Graaff
2023-12-12 14:06 Hans de Graaff
2023-09-30  7:20 Hans de Graaff
2023-09-09  5:38 Hans de Graaff
2023-09-09  5:38 Hans de Graaff
2023-03-24  6:37 Hans de Graaff
2022-12-16 21:02 Arthur Zamarin
2022-12-11  8:11 Hans de Graaff
2022-07-20  6:01 Hans de Graaff
2022-06-18  8:40 Hans de Graaff
2021-07-07  6:53 Hans de Graaff
2020-09-11  5:14 Hans de Graaff
2020-09-11  5:14 Hans de Graaff
2020-04-01  6:40 Hans de Graaff
2020-02-21  6:47 Hans de Graaff
2020-02-07  7:03 Hans de Graaff
2019-11-16  6:42 Hans de Graaff
2019-07-08 17:45 Hans de Graaff
2019-05-13 18:39 Hans de Graaff
2019-02-10  7:25 Hans de Graaff
2019-02-10  7:25 Hans de Graaff
2019-02-10  7:25 Hans de Graaff
2019-02-09 10:44 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1562822667.e80d782baf1cbe094e355403b3377666800cfc18.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox